/* $Id: TodoDialog.cpp,v 1.4 2001/09/01 13:20:08 rjesse Exp $
 *
 * This file is part of the Mango recipe management distribution.
 * Copyright (c) 2000, Roland Jesse
 * All rights reserved.
 *
 * For license and copyright information see the file COPYRIGHT or 
 * <http://www.opensource.org/licenses/bsd-license.html>.
 */

#include "TodoDialog.h"
#include <qdialog.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>

/** Constructor. */
TodoDialog::TodoDialog( const std::string& t, QWidget* parent, char* name)
   : QDialog( parent, name, true) 
{
   QString text( t.c_str());
   setCaption( tr( text));
   
   text.append( " is not yet implemented.");
   QLabel* label = new QLabel( this, "");
   label->setText( tr( text));

   QPushButton* ok = new QPushButton( tr( "Ok"), this);
   ok->setAutoDefault( true);
   ok->setDefault( true);
   connect( ok, SIGNAL( clicked()), SLOT( accept()));

   QVBoxLayout* box = new QVBoxLayout( this);
   box->addWidget( label, 0, Qt::AlignCenter);
   box->addWidget( ok, 0, Qt::AlignCenter);
}
